body {
	background-color: #090909;
	overflow: hidden;
	margin: 0;
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 2px;
	display: grid;
	/*grid-template-columns: auto 325px;*/
	grid-template-columns: auto 325px 325px;
	grid-template-rows: 100%;
/*	display: flex;
	flex-direction: row;
	align-items: stretch;
	align-content: stretch;*/
}
.noselect {
  -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
     -khtml-user-select: none; /* Konqueror HTML */
       -moz-user-select: none; /* Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
            user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome and Opera */
}

.dg .close-button {
	display: none;
}

.dg {
	overflow-y: auto;
}

.dg.main {
	height: 100%;
}

.function span.property-name {
    width: 100%;
}

.boolean span.property-name {
    width: 80%;
}
.boolean div.c {
    width: 20%;
}

#main {
	/*display: grid;*/
	/*grid-template-rows: auto 250px;*/
	/*grid-template-columns: 100%;*/
}

#canvas {
	overflow: hidden;
}

#canvas.grab {
	cursor: -webkit-grab; 
	cursor: grab;
}

#canvas.pointer {
	cursor: pointer;
}

canvas {
	background-color: white;
}

#gui {
	/*display: flex;*/

}

#command-list {
	max-height: 500px;
}

#info {
	display: flex;
    flex-direction: column;
}

#info ul.closed .c-list {
     display: none;
}

#info > .main > ul > li {
	display: flex;
    flex-direction: column;
}

#console-list, #command-list {
	overflow-y: auto;
}

#console-list {
    max-height: 200px;
}

#info .dg.main > ul {
	display: flex;
	flex-direction: column;
}

#info ul::-webkit-scrollbar {
  width: 5px;
  background: #1a1a1a;
}
#info ul::-webkit-scrollbar-corner {
  height: 0;
  display: none;
}
#info ul::-webkit-scrollbar-thumb {
  border-radius: 5px;
  background: #676767;
}

#info ul.c-list > li {
    padding-right: 38px;
    position: relative;
    height: inherit;
}

#command-list li button {
    position: absolute;
    right: 8px;
    top: 50%;
    transform: translateY(-50%);
    margin: 0;

    cursor: pointer;
    border-radius: 0;
    border: none;
    width: 22px;
}

#command-list li button:hover {
	background-color: #ff6060;
}

#command-list li .data {
	font-style: italic;
	margin-top: 4px;
}

#console-list li p, #console div table {
	padding: 0;
	margin: 0;
    height: inherit;
}

#console-list li p.error {
	color: #ff3939;
}

table {
	border-collapse: collapse;
}

icon.websocket, icon.serial {
	float: right;
	color: #f44336;
    margin-right: 5px;
}

icon.connected {
	color: #3cba00;
}

icon.simulator {
	color: #ffeb3b;
}